Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Interface ViewFactory

All Known Implementing Classes:
  BasicEditorPaneUI, BasicFormattedTextFieldUI, BasicPasswordFieldUI, BasicTextAreaUI, BasicTextFieldUI, BasicTextPaneUI, BasicTextUI, DefaultTextUI, HTMLEditorKit.HTMLFactory, MetalTextFieldUI

    public interface ViewFactory

A factory to create a view of some portion of document subject. This is intended to enable customization of how views get mapped over a document model.

Method Summary
`View` | `create(Element elem)` Creates a view from the given structural element of a document.

Method Detail

### create

    View create(Element elem)

  Creates a view from the given structural element of a document.

  Parameters:
    `elem` - the piece of the document to build a view of
  Returns:
    the view
  See Also:
    `View`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.